<template>
  <div class="content">
    <img alt="Vue logo" src="../../assets/logo.png">
    <div class="options">
      <div>
        <input type="checkbox" id="checkbox" v-model="auth">
        <label for="checkbox"> Authenticated: {{ auth }}</label>
      </div>
      <div>
        <input type="checkbox" id="checkbox" v-model="ls">
        <label for="checkbox"> Use language selector: {{ ls }}</label>
      </div>
    </div>
    <div>
      <label for="select"> Project: </label>
      <select v-model="proj">
        <option value="hub">hub</option>
        <option value="metrics">metrics</option>
        <option value="statistics">statistics</option>
      </select>
    </div>
    <router-link :to="{ path: '/hello', query: { locale: $i18n.locale } }">Go to Hello Page</router-link>
  </div>
</template>

<script>
export default {
  name: 'MainContent',
  props: {
    authenticated: Boolean,
    useLanguageSelector: Boolean,
    project: String,
  },
  data() {
    return {
      auth: this.authenticated,
      proj: this.project,
      ls: this.useLanguageSelector,
    };
  },
  watch: {
    auth() {
      this.$emit('changeAuth', this.auth);
    },
    proj() {
      this.$emit('changeProj', this.proj);
    },
    ls() {
      this.$emit('changeLS', this.ls);
    },
  },
};
</script>

<style scoped>
.content {
  font-family: Arial, sans-serif;
  line-height: 24px;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
